TESTING/LIN/dlaord.f(3)

NAME
TESTING/LIN/dlaord.f

SYNOPSIS

  Functions/Subroutines
subroutine dlaord (job, n, x, incx)
DLAORD

Function/Subroutine Documentation

  subroutine dlaord (character job, integer n, double precision, dimension( * ) x, integer incx)

DLAORD

Purpose:

    !>
    !> DLAORD sorts the elements of a vector x in increasing or decreasing
    !> order.
    !>

Parameters
    JOB

    !>          JOB is CHARACTER
    !>          = 'I':  Sort in increasing order
    !>          = 'D':  Sort in decreasing order
    !>

    N

    !>          N is INTEGER
    !>          The length of the vector X.
    !>

    X

    !>          X is DOUBLE PRECISION array, dimension
    !>                         (1+(N-1)*INCX)
    !>          On entry, the vector of length n to be sorted.
    !>          On exit, the vector x is sorted in the prescribed order.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive elements of X.  INCX >= 0.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 72 of file dlaord.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.